package reactionlogic

import (
	"context"

	"code.30cm.net/digimon/app-cloudep-reaction-service/gen_result/pb/reaction"
	"code.30cm.net/digimon/app-cloudep-reaction-service/internal/svc"

	"github.com/zeromicro/go-zero/core/logx"
)

type EmptyLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewEmptyLogic(ctx context.Context, svcCtx *svc.ServiceContext) *EmptyLogic {
	return &EmptyLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *EmptyLogic) Empty(in *reaction.NoneReq) (*reaction.OKResp, error) {
	// todo: add your logic here and delete this line

	return &reaction.OKResp{}, nil
}
